<template>
  <NodeViewWrapper>
    <div class="w-full max-w-[838px] h-[370px] mx-auto flex items-center justify-center rounded-[4px] bg-surfaceVariant">
      <div class="w-full max-w-[598px] h-full flex flex-col items-center justify-center gap-10">
        <div class="opacity-[38%]">
          <Icon
            icon="mingcute:pic-line"
            height="80"
            width="80"
            class="text-onSurfaceVariant"
          />
        </div>

        <svn-pro-text subtitle-large medium color="onSurface" class="text-center">
          {{ ("Oops! We couldn't find the image you linked. Please check the link path and try again.") }}
        </svn-pro-text>
      </div>
    </div>
  </NodeViewWrapper>
</template>

<script setup>
import { Icon } from '@iconify/vue';
import SvnProText from '../../styles/SvnProText.vue';
import { nodeViewProps, NodeViewWrapper } from '@tiptap/vue-3';

const props = defineProps(nodeViewProps);
</script>
